require_dependency "radesk/application_controller"

module Radesk
  module Admin
    class UsersController < AdminController
      before_action :set_user, only: [:show]

      def show
        @tickets = Radesk::Ticket.where(:user_id => @user).page(params[:page]).per(20)
      end

      private
        def set_user
          @user = Radesk.user_class_name.constantize.find(params[:id])
        end
    end
  end
end