module Radesk
  module HipchatHelper
    def send_notification(ticket)
      return unless Radesk.hipchat_api_token.present?
      token = Radesk.hipchat_api_token
      message = view_context.link_to(ticket.title, ticket_url(ticket))
      client = ::HipChat::Client.new(token, :api_version => 'v2')
      client[Radesk.hipchat_room].send('', message, :notify => true)
    end
  end
end
