module Radesk
  class UserMailer < ActionMailer::Base
    default :from => Radesk.email_from

    def new_answer(answer)
      @ticket = answer.ticket
      if answer.user.id != answer.ticket.user.id && !answer.private?
        mail(:to => @ticket.user.email, :subject => 'New answer')
      end
    end
  end
end