module Radesk
  module Concerns
    module Elasticsearch
      def index
        query = params[:query].present? ? params[:query] : '*'

        conditions = Hash.new.tap do |h|
          h[:user_id] = radesk_current_user.id unless radesk_current_user.try(:radesk_admin?)
        end

        @tickets = Radesk::Ticket.search(query, include: [:answers], page: params[:page], per_page: 20)
      end
    end
  end
end