module Radesk
  module ApplicationHelper
    def link_to_add_fields(name = nil, f, association, partial, &block)
      new_object = f.object.send(association).klass.new
      fields = f.fields_for association, new_object do |builder|
        render :partial => "radesk/#{partial}", :locals => { :f => builder }
      end
      link_to '#', class: "add_fields", data: { id: new_object.object_id, fields: fields.gsub("\n", "") } do
        name || capture(&block)
      end
    end
  end
end
