require "radesk/engine"
require "haml"
require "font-awesome-rails"
require "kaminari"
require "jquery-rails"
require "paperclip"
require "coffee-rails"
require "searchkick"
require "hipchat"

module Radesk
  mattr_accessor :user_class_name
  @@user_class_name = "User"
  
  mattr_accessor :current_user_method_name
  @@current_user_method_name = "current_user"

  mattr_accessor :email_from
  @@email_from = "noreply@example.com"

  mattr_accessor :home_path
  @@home_path = "/"

  mattr_accessor :sign_in_path
  @@sign_in_path = "/users/sign_in"

  mattr_accessor :elasticsearch
  @@elasticsearch = true

  mattr_accessor :hipchat_api_token
  @@hipchat_api_token = ""

  mattr_accessor :hipchat_room
  @@hipchat_room = ""

  def self.setup
    yield self
  end
end
